import {
  useCustomer
} from "./chunk-II3CLUXA.js";
import "./chunk-RHKRREUU.js";
import "./chunk-ZA2KFUFR.js";
import "./chunk-DTGEFKK4.js";
import "./chunk-NBMM2TZK.js";

// src/pages/customers/[id]/breadcrumb.tsx
import { jsx } from "react/jsx-runtime";
var Breadcrumb = (props) => {
  const { id } = props.params || {};
  const { customer } = useCustomer(id, void 0, {
    initialData: props.data,
    enabled: Boolean(id)
  });
  if (!customer) return null;
  const name = [customer.first_name, customer.last_name].filter(Boolean).join(" ");
  return /* @__PURE__ */ jsx("span", { children: name || customer.email });
};
export {
  Breadcrumb
};
